Subject: Re: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: martin rudalics <[email-masked]>
Date: Mon, 22 Oct 2018 11:07:43 +0200

> While window configurations officially are not yet deprecated,
 > I see no more use of them, because window configurations can't be
 > serialized, whereas their morally equivalent window states can.
 >
 > This is because window states are data structures accessible from Lisp.
 > So I perceive window states as window configurations rewritten in Lisp.

'set-window-configuration' writes directly into the window structure
while 'window-state-put' splits windows instead which is much slower
and at the very least messes up window identities.

martin